import { mapGetters, mapActions } from 'vuex';
import store from './store';

export default {
  created() {
    store.install(this.$store);
  },
  mounted() {
    if (!this.areaList.length) {
      this.fetchAreaList();
    }
  },
  computed: {
    ...mapGetters('area', ['areaList']),
  },
  methods: {
    ...mapActions('area', ['fetchAreaList']),
    getAreaName(id) {
      let item = this.areaList.find(area => area.id === id);
      if (item) {
        return item.areaName;
      } else {
        return '';
      }
    },
    getAreaOperatorInfo(id) {
      let item = this.areaList.find(area => area.id === id);
      if (item) {
        return {
          rechargeOperateId: item.rechargeOperateId,
          rechargeOperateName: item.rechargeOperateName,
        };
      } else {
        return null;
      }
    },
  },
};
