import { getFeedbackList } from '@/api/dashboard/dashboard';
const FETCH_FFEDBACK_LIST = 'FETCH_FFEDBACK_LIST';

const state = () => ({
  list: [],
  count: 0,
});

const getters = {
  feedbackList: state => state.list,
  count: state => state.count,
};

const actions = {
  getFeedbackList({ commit }) {
    return getFeedbackList().then(res => {
      const { data, count } = res;
      commit(FETCH_FFEDBACK_LIST, { list: data, count });
    });
  },
};

const mutations = {
  [FETCH_FFEDBACK_LIST](state, data) {
    state.list = data.list;
    state.count = data.count;
  },
};

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
