const Path = require('path');

let isLib = (() => {
  let index = process.argv.findIndex(value => value === '--target');
  if (index > -1) {
    return process.argv[index + 1] && process.argv[index + 1] === 'lib';
  } else {
    return false;
  }
})();

let isLocal = (() => {
  return /develop/.test(process.argv[3]);
})();

module.exports = {
  publicPath: process.env.VUE_APP_BASE_URL,
  outputDir: isLib ? Path.join('dist', 'lib') : 'dist',
  configureWebpack: {
    externals: [
      {
        vue: 'Vue',
        vuex: 'Vuex',
        'vue-router': 'VueRouter',
      },
    ],
  },
  chainWebpack: config => {
    if (!isLib && isLocal) {
      config.plugin('html').tap(args => {
        if (process.env.NODE_ENV == 'development') {
          args[0].template = Path.join('src', 'dev-local', 'develop.html');
        }
        return args;
      });
    }
  },
};
